using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ex01_6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            int ScreenWidth = SystemInformation.PrimaryMonitorMaximizedWindowSize.Width;   //屏幕的宽度
            int ScreenHeight = SystemInformation.PrimaryMonitorMaximizedWindowSize.Height; //屏幕的高度
            Point MyPos = new Point(this.DesktopLocation.X, this.DesktopLocation.Y);       //窗体的当前位置
            if (MyPos.X + Width < ScreenWidth || MyPos.Y + Height < ScreenHeight)
            {
                this.DesktopLocation = new Point(MyPos.X + 1, MyPos.Y + 1);
            }
            else
            {
                this.DesktopLocation = new Point(0, 0);
            }
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            timer1.Enabled = false;
        }

        private void Form1_MouseUp(object sender, MouseEventArgs e)
        {
            timer1.Enabled = true;
        }

        private void Form1_DoubleClick(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
